using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class WeatherDongNaeForecast {
        [Key]
        [Column(TypeName = "datetime")]
        public DateTime BaseTime { get; set; }
        [Column("nx")]
        public int? Nx { get; set; }
        [Column("ny")]
        public int? Ny { get; set; }
        [Key]
        [Column(TypeName = "datetime")]
        public DateTime ForecastTime { get; set; }
        [Column("POP"), Display(Name = "강수확률")]
        public double? Pop { get; set; }
        [Column("PTY"), Display(Name = "강수형태")]
        public double? Pty { get; set; }
        [Display(Name = "6시간 강수량")]
        public double? R06 { get; set; }
        [Column("REH"), Display(Name = "습도")]
        public double? Reh { get; set; }
        [Display(Name = "6시간 신적설")]
        public double? S06 { get; set; }
        [Column("SKY"), Display(Name = "하늘상태")]
        public double? Sky { get; set; }
        [Column("T3H"), Display(Name = "3시간 기온")]
        public double? T3h { get; set; }
        [Column("TMN"), Display(Name = "아침 최저기온")]
        public double? Tmn { get; set; }
        [Column("TMX"), Display(Name = "낮 최고기온")]
        public double? Tmx { get; set; }
        [Column("UUU"), Display(Name = "풍속(동서)")]
        public double? Uuu { get; set; }
        [Column("VVV"), Display(Name = "풍속(남북)")]
        public double? Vvv { get; set; }
        [Column("VEC"), Display(Name = "풍향")]
        public double? Vec { get; set; }
        [Column("WSD"), Display(Name = "풍속")]
        public double? Wsd { get; set; }
        public int? Type { get; set; }
        [Column("DBTime", TypeName = "datetime")]
        public DateTime? Dbtime { get; set; }
        public int? Version { get; set; }
    }
}
